Package org.eclipse.birt.report.model.api.activity

# Class TransactionOption

java.lang.Object
org.eclipse.birt.report.model.api.activity.TransactionOption

public class TransactionOption extends Object
Class provided to set some options for the transaction. It can set event filter, set event send or hold option and so on.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INSTANTANEOUS_SEND_TIME`
Instantaneous send time option.
`static final int`
`OUTMOST_TRANSACTION_SEND_TIME`
Outmost transaction send time option.
`static final int`
`SELF_TRANSACTION_SEND_TIME`
Self transaction send time option.

## Constructor Summary

Constructors
Constructor
Description
`TransactionOption()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`IEventFilter`
`getEventFilter()`
Gets the event filter set in this option.
`int`
`getSendTime()`
Gets the event send option.
`void`
`setEventfilter(IEventFilter eventFilter)`
`void`
`setSendTime(int eventTime)`
Sets the option to control when to send the event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANTANEOUS_SEND_TIME

public static final int INSTANTANEOUS_SEND_TIME
Instantaneous send time option. It means that the notification event will be send once it is executed/redo/undo, committed/rolled back.

See Also:
  - Constant Field Values

### SELF_TRANSACTION_SEND_TIME

public static final int SELF_TRANSACTION_SEND_TIME
Self transaction send time option. It means that the notification event will be held until the latest transaction is committed or rolled back.

See Also:
  - Constant Field Values

### OUTMOST_TRANSACTION_SEND_TIME

public static final int OUTMOST_TRANSACTION_SEND_TIME
Outmost transaction send time option. It means that the notification event will be held until the outmost transaction is comitted or rolled back.

See Also:
  - Constant Field Values

## Constructor Details

### TransactionOption

public TransactionOption()
Default constructor.

## Method Details

### getEventFilter

public IEventFilter getEventFilter()
Gets the event filter set in this option.

Returns:
  the event filter

### getSendTime

public int getSendTime()
Gets the event send option. It can be one of the following options.

INSTANTANEOUS_EVENT_SEND
SELF_TRANSACTION_EVENT_SEND
OUTMOST_TRANSACTION_EVENT_SEND

Returns:
  the event send option

- ### setEventfilter

  public void setEventfilter(IEventFilter eventFilter)
  Parameters:
    `eventFilter` - the eventfilter to set

- ### setSendTime

  public void setSendTime(int eventTime)
  Sets the option to control when to send the event.
  Parameters:
    `eventTime` - the eventTime to set